org.eclipse.oomph.resources

## Interface MavenProjectFactory

- All Superinterfaces:
    EObject, ModelElement, Notifier, ProjectFactory, XMLProjectFactory
  All Known Implementing Classes:
    MavenProjectFactoryImpl

      public interface MavenProjectFactory
      extends XMLProjectFactory

  A representation of the model object 'Maven Project Factory'.
  See Also:
    `ResourcesPackage.getMavenProjectFactory()`
  Generated
  Model

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EList<ProjectFactory>` | `LIST`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.oomph.resources.ProjectFactory

      `createProject, getExcludedPaths, isExcludedPath`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### LIST

          static final EList<ProjectFactory> LIST

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html